# dir

abstract fun dir(path: String): Provider<Directory>

Returns a Directory whose value is the given path resolved relative to the value of this directory.

#### Return

The directory.

#### Parameters

path

The path. Can be absolute.

abstract fun dir(path: Provider<out CharSequence>): Provider<Directory>

Returns a Directory whose value is the given path resolved relative to the value of this directory.

#### Return

The directory.

#### Parameters

path

The path. Can have a value that is an absolute path.